package org.glickr.api.auth

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.auth.getFrob
INFO: Returns a frob to be used during authentication. This method call must be signed, and is deprecated in favour of OAuth.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<frob>746563215463214621</frob>
---------------------------------------------------------------------------------------------------- */

class authGetFrob implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.auth.getFrob'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
