package org.glickr.api.auth

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.auth.oauth.checkToken
INFO: Returns the credentials attached to an OAuth authentication token.

AUTHENTICATION: This method does not require user authentication, but the request must be signed.

ARGUMENTS:
api_key (Required): Your API application key.
oauth_token (Required): The OAuth authentication token to check.

EXAMPLE RESPONSE:
<auth.oauth>
  <token>72157627611980735-09e87c3024f733da</token>
  <perms>write</perms>
  <user nsid="1121451801@N07" username="jamalf" fullname="Jamal F" />
</auth.oauth>
---------------------------------------------------------------------------------------------------- */

class oauthCheckToken implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.auth.oauth.checkToken'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
