package org.glickr.api.blogs

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.blogs.getServices
INFO: Return a list of Flickr supported blogging services

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<services>
  <service id="beta.blogger.com">Blogger</service>
  <service id="Typepad">Typepad</service>
  <service id="MovableType">Movable Type</service>
  <service id="LiveJournal">LiveJournal</service>
  <service id="MetaWeblogAPI">Wordpress</service>
  <service id="MetaWeblogAPI">MetaWeblogAPI</service>
  <service id="Manila">Manila</service>
  <service id="AtomAPI">AtomAPI</service>
  <service id="BloggerAPI">BloggerAPI</service>
  <service id="Vox">Vox</service>
  <service id="Twitter">Twitter</service>
</services>
---------------------------------------------------------------------------------------------------- */

class blogsGetServices implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.blogs.getServices'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
