package org.glickr.api.favorites

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.favorites.getContext
INFO: Returns next and previous favorites for a photo in a user's favorites.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to fetch the context for.
user_id (Required): The user who counts the photo as a favorite.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <count>3</count>
  <prevphoto id="2980" secret="973da1e709" title="boo!" url="/photos/bees/2980/" />
  <nextphoto id="2985" secret="059b664012" title="Amsterdam Amstel" url="/photos/bees/2985/" />
</rsp>
See flickr.photos.getContext
---------------------------------------------------------------------------------------------------- */

class favoritesGetContext implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.favorites.getContext'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}