package org.glickr.api.favorites

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.favorites.remove
INFO: Removes a photo from a user's favorites list.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to remove from the user's favorites.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class favoritesRemove implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.favorites.remove'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}