package org.glickr.api.galleries

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.galleries.editMeta
INFO: Modify the meta-data for a gallery.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
gallery_id (Required): The gallery ID to update.
title (Required): The new title for the gallery.
description (Optional): The new description for the gallery.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class galleriesEditMeta implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.galleries.editMeta'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}