package org.glickr.api.galleries

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.galleries.editPhoto
INFO: Edit the comment for a gallery photo.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
gallery_id (Required): The ID of the gallery to add a photo to. Note: this is the compound ID returned in methods like flickr.galleries.getList, and flickr.galleries.getListForPhoto.
photo_id (Required): The photo ID to add to the gallery.
comment (Required): The updated comment the photo.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class galleriesEditPhoto implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.galleries.editPhoto'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}