package org.glickr.api.galleries

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.galleries.getInfo
INFO:

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
gallery_id (Required): The gallery ID you are requesting information for.

EXAMPLE RESPONSE:
<gallery id="6065-72157617483228192" url="http://www.flickr.com/photos/straup/galleries/72157617483228192" owner="35034348999@N01" primary_photo_id="292882708" date_create="2009-04-29T11:12:52-07:00" date_update="2010-04-01T01:47:47-07:00" count_photos="17" count_videos="0" primary_photo_server="112" primary_photo_farm="1" primary_photo_secret="7f29861bc4">
  <title>Cat Pictures I've Sent To Kevin Collins</title>
  <description />
</gallery>
---------------------------------------------------------------------------------------------------- */

class galleriesGetInfo implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.galleries.getInfo'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}