package org.glickr.api.groups.discuss

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.discuss.replies.add
INFO: Post a new reply to a group discussion topic.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
topic_id (Required): The ID of the topic to post a comment to.
message (Required): The message to post to the topic.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class discussRepliesAdd implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.discuss.replies.add'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}