package org.glickr.api.groups.discuss

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.discuss.replies.getInfo
INFO: Get information on a group topic reply.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
topic_id (Required): The ID of the topic the post is in.
reply_id (Required): The ID of the reply to fetch.

EXAMPLE RESPONSE:
  <wrapper><?xml version="1.0" encoding="utf-8" ?>
<rsp stat="ok">
  <reply id="72157607082559968" author="30134652@N05" authorname="JAMAL'S ACCOUNT" is_pro="0" role="admin" iconserver="0" iconfarm="0" can_edit="1" can_delete="1" datecreate="1337975921" lastedit="0">
    <message>...well, too bad.</message>
  </reply>
</rsp></wrapper>
---------------------------------------------------------------------------------------------------- */

class discussRepliesGetInfo implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.discuss.replies.getInfo'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}