package org.glickr.api.groups.discuss

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.discuss.topics.add
INFO: Post a new discussion topic to a group.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
group_id (Required): The NSID of the group to add a topic to.
subject (Required): The topic subject.
message (Required): The topic message.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.

---------------------------------------------------------------------------------------------------- */

class discussTopicsAdd implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.discuss.topics.add'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}