package org.glickr.api.groups.discuss

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.discuss.topics.getInfo
INFO: Get information about a group discussion topic.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
topic_id (Required): The ID for the topic to edit.

EXAMPLE RESPONSE:
  <wrapper><?xml version="1.0" encoding="utf-8" ?>
<rsp stat="ok">
  <topic id="72157607082559966" subject="Who's still around?" author="30134652@N05" authorname="JAMAL'S ACCOUNT" is_pro="0" role="admin" iconserver="0" iconfarm="0" count_replies="1" can_edit="1" can_delete="0" can_reply="0" is_sticky="0" is_locked="0" datecreate="1337975869" datelastpost="1337975921" last_reply="72157607082559968">
    <message>Is anyone still around in this group?</message>
  </topic>
</rsp></wrapper>
---------------------------------------------------------------------------------------------------- */

class discussTopicsGetInfo implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.discuss.topics.getInfo'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}