package org.glickr.api.groups.pools

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.pools.add
INFO: Add a photo to a group's pool.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to add to the group pool. The photo must belong to the calling user.
group_id (Required): The NSID of the group who's pool the photo is to be added to.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.





---------------------------------------------------------------------------------------------------- */

class poolsAdd implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.pools.add'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}