package org.glickr.api.groups.pools

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.pools.remove
INFO: Remove a photo from a group pool.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to remove from the group pool. The photo must either be owned by the calling user of the calling user must be an administrator of the group.
group_id (Required): The NSID of the group who's pool the photo is to removed from.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class poolsRemove implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.pools.remove'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}