package org.glickr.api.photos.comments

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.comments.getList
INFO: Returns the comments for a photo
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to fetch comments for.
min_comment_date (Optional): Minimum date that a a comment was added. The date should be in the form of a unix timestamp.
max_comment_date (Optional): Maximum date that a comment was added. The date should be in the form of a unix timestamp.
EXAMPLE RESPONSE:
<comments photo_id="109722179">
  <comment id="6065-109722179-72057594077818641" author="35468159852@N01" authorname="Rev Dan Catt" datecreate="2006-03-08T10:11:10-08:00" permalink="http://www.flickr.com/photos/straup/109722179/#comment72057594077818641">Umm, I'm not sure, can I get back to you on that one?</comment>
</comments>
---------------------------------------------------------------------------------------------------- */

class commentsGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.comments.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}