package org.glickr.api.photos.geo

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.geo.correctLocation
INFO:
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The ID of the photo whose WOE location is being corrected.
place_id (Optional): A Flickr Places ID. (While optional, you must pass either a valid Places ID or a WOE ID.)
woe_id (Optional): A Where On Earth (WOE) ID. (While optional, you must pass either a valid Places ID or a WOE ID.)
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.

---------------------------------------------------------------------------------------------------- */

class geoCorrectLocation implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.geo.correctLocation'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}