package org.glickr.api.photos.geo

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.geo.getPerms
INFO: Get permissions for who may view geo data for a photo.
AUTHENTICATION: This method requires authentication with 'read' permission.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to get permissions for.
EXAMPLE RESPONSE:
<perms id="10592" ispublic="0" iscontact="0" isfriend="0" isfamily="1" />
---------------------------------------------------------------------------------------------------- */

class geoGetPerms implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.geo.getPerms'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}