package org.glickr.api.photos.geo

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.geo.removeLocation
INFO: Removes the geo data associated with a photo.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo you want to remove location data from.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class geoRemoveLocation implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.geo.removeLocation'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}