package org.glickr.api.photos.geo

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.geo.setPerms
INFO: Set the permission for who may view the geo data associated with a photo.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
is_public (Required): 1 to set viewing permissions for the photo's location data to public, 0 to set it to private.
is_contact (Required): 1 to set viewing permissions for the photo's location data to contacts, 0 to set it to private.
is_friend (Required): 1 to set viewing permissions for the photo's location data to friends, 0 to set it to private.
is_family (Required): 1 to set viewing permissions for the photo's location data to family, 0 to set it to private.
photo_id (Required): The id of the photo to get permissions for.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class geoSetPerms implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.geo.setPerms'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}