package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.removeTag
INFO: Remove a tag from a photo.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
tag_id (Required): The tag to remove from the photo. This parameter should contain a tag id, as returned by flickr.photos.getInfo.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class photosRemoveTag implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.removeTag'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
