package org.glickr.api.photos.suggestions

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.suggestions.getList
INFO: Return a list of suggestions for a user that are pending approval.
AUTHENTICATION: This method requires authentication with 'read' permission.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Optional): Only show suggestions for a single photo.
status_id (Optional): Only show suggestions with a given status.
-0, pending
-1, approved
-2, rejected
The default is pending (or "0").
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class suggestionsGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.suggestions.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}