package org.glickr.api.photosets.comments

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.comments.deleteComment
INFO: Delete a photoset comment as the currently authenticated user.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
comment_id (Required): The id of the comment to delete from a photoset.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class commentsDeleteComment implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.comments.deleteComment'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}