package org.glickr.api.photosets

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.addPhoto
INFO: Add a photo to the end of an existing photoset.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photoset_id (Required): The id of the photoset to add a photo to.
photo_id (Required): The id of the photo to add to the set.
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.

---------------------------------------------------------------------------------------------------- */

class photosetsAddPhoto implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.addPhoto'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}