package org.glickr.api.photosets

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.create
INFO: Create a new photoset for the calling user.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
title (Required): A title for the photoset.
description (Optional): A description of the photoset. May contain limited html.
primary_photo_id (Required): The id of the photo to represent this set. The photo must belong to the calling user.
EXAMPLE RESPONSE:
<photoset id="1234" url="http://www.flickr.com/photos/bees/sets/1234/" />
New photosets are automatically put first in the photoset ordering for the user. Use flickr.photosets.orderSets if you don't want the new set to appear first on the user's photoset list.
---------------------------------------------------------------------------------------------------- */

class photosetsCreate implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.create'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}