package org.glickr.api.photosets

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.getInfo
INFO: Gets information about a photoset.
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
photoset_id (Required): The ID of the photoset to fetch information for.
EXAMPLE RESPONSE:
<photoset id="72157624618609504" owner="34427469121@N01" primary="4847770787" secret="6abd09a292" server="4153" farm="5" photos="55" count_views="523" count_comments="1" count_photos="43" count_videos="12" can_comment="1" date_create="2010-07-30T15:56:33-07:00" date_update="2011-06-14T15:42:58-07:00">
  <title>Mah Kittehs</title>
  <description>Sixty and Niner. Born on the 3rd of May, 2010, or thereabouts. Came to my place on Thursday, July 29, 2010.</description>
</photoset>
---------------------------------------------------------------------------------------------------- */

class photosetsGetInfo implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.getInfo'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}