package org.glickr.api.prefs

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.prefs.getContentType
INFO: Returns the default content type preference for the user.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <person nsid="12037949754@N01" content_type="1" />
</rsp>
---------------------------------------------------------------------------------------------------- */

class prefsGetContentType implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.prefs.getContentType'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}