package org.glickr.api.prefs

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.prefs.getHidden
INFO: Returns the default hidden preference for the user.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <person nsid="12037949754@N01" hidden="1" />
</rsp>
---------------------------------------------------------------------------------------------------- */

class prefsGetHidden implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.prefs.getHidden'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}