package org.glickr.api.prefs

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.prefs.getPrivacy
INFO: Returns the default privacy level preference for the user.

Possible values are:
-1 : Public
-2 : Friends only
-3 : Family only
-4 : Friends and Family
-5 : Private

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <person nsid="12037949754@N01" privacy="1" />
</rsp>
---------------------------------------------------------------------------------------------------- */

class prefsGetPrivacy implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.prefs.getPrivacy'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}