package org.glickr.api.stats

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.stats.getPhotostreamStats
INFO: Get the number of views on a user's photostream for a given date.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
date (Required): Stats will be returned for this date. This should be in either be in YYYY-MM-DD or unix timestamp format.
A day according to Flickr Stats starts at midnight GMT for all users, and timestamps will automatically be rounded down to the start of the day.

EXAMPLE RESPONSE:
<stats views="24" />
---------------------------------------------------------------------------------------------------- */

class statsGetPhotostreamStats implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.stats.getPhotostreamStats'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}