package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getClusters
INFO: Gives you a list of tag clusters for the given tag.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
tag (Required): The tag to fetch clusters for.

EXAMPLE RESPONSE:
<clusters source="cows" total="2">
  <cluster total="3">
    <tag>farm</tag>
    <tag>animals</tag>
    <tag>cattle</tag>
  </cluster>
  <cluster total="3">
    <tag>green</tag>
    <tag>landscape</tag>
    <tag>countryside</tag>
  </cluster>
</clusters>
---------------------------------------------------------------------------------------------------- */

class tagsGetClusters implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getClusters'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}