package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getHotList
INFO: Returns a list of hot tags for the given period.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
period (Optional): The period for which to fetch hot tags. Valid values are day and week (defaults to day).
count (Optional): The number of tags to return. Defaults to 20. Maximum allowed value is 200.

EXAMPLE RESPONSE:
<hottags period="day" count="6">
  <tag score="20">northerncalifornia</tag>
  <tag score="18">top20</tag>
  <tag score="15">keychain</tag>
  <tag score="10">zb</tag>
  <tag score="9">selfportraittuesday</tag>
  <tag score="4">jan06</tag>
</hottags>
---------------------------------------------------------------------------------------------------- */

class tagsGetHotList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getHotList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}