package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getListPhoto
INFO: Get the tag list for a given photo.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to return tags for.

EXAMPLE RESPONSE:
<photo id="2619">
  <tags>
    <tag id="156" author="12037949754@N01" authorname="Bees" raw="tag 1">tag1</tag>
    <tag id="157" author="12037949754@N01" authorname="Bees" raw="tag 2">tag2</tag>
  </tags>
</photo>
For an explanation of the tag element, please read the tags documentation.
---------------------------------------------------------------------------------------------------- */

class tagsGetListPhoto implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getListPhoto'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}