package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getListUserPopular
INFO: Get the popular tags for a given user (or the currently logged in user).

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
user_id (Optional): The NSID of the user to fetch the tag list for. If this argument is not specified, the currently logged in user (if any) is assumed.
count (Optional): Number of popular tags to return. defaults to 10 when this argument is not present.

EXAMPLE RESPONSE:
<who id="12037949754@N01">
  <tags>
    <tag count="10">bar</tag>
    <tag count="11">foo</tag>
    <tag count="147">gull</tag>
    <tag count="3">tags</tag>
    <tag count="3">test</tag>
  </tags>
</who>
---------------------------------------------------------------------------------------------------- */

class tagsGetListUserPopular implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getListUserPopular'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}