package org.glickr.api.urls

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.urls.getGroup
INFO: Returns the url to a group's page.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
group_id (Required): The NSID of the group to fetch the url for.

EXAMPLE RESPONSE:
<group nsid="48508120860@N01" url="http://www.flickr.com/groups/test1/" />
---------------------------------------------------------------------------------------------------- */

class urlsGetGroup implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.urls.getGroup'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}