package org.glickr.enums

enum ContentType {
    Photos(1),
    Screenshots(2),
    Other(3),
    PhotosAndScreenshots(4),
    ScreenshotsAndOther(5),
    PhotosAndOther(6),
    All(7)

    private Integer contentType

    private ContentType(Integer contentType) {
        this.contentType = contentType
    }

    Integer getContentType() {
        return this.contentType
    }

    Integer value() {
        return this.contentType
    }

    String getKey() {
        name()
    }

    String toString() {
        return this.contentType
    }
}
