package org.glickr.enums

enum FlickrSizeSuffix {
    Thumbnail("t",100),
    Small("m",240),
    Small320("n",320),
    Medium("",500),
    Medium640("z",640),
    Medium800("c",800),
    Large("b",1024),
    Original("o",0),
    Square("s",75),
    LargeSquare("q",150)

    private String flickrSizeSuffix
    private Integer longestSide

    FlickrSizeSuffix(String flickrSizeSuffix, Integer longestSide) {
        this.flickrSizeSuffix = flickrSizeSuffix
        this.longestSide = longestSide
    }
    public String getFlickrSizeSuffix() { return this.flickrSizeSuffix }
    public Integer getLongestSide()     { return this.longestSide }
}

