package org.glickr

class FlickrPlace {
    String id
    Long woeId
    String title
    BigDecimal latitude
    BigDecimal longitude
    String url
    FlickrPlaceType type
    String timezone
    // todo shapedata

    ArrayList<FlickrPlace> places = []

    String toString() {
        if (title) {
            return (type ? type.toString() + ': ':'') + title
        } else {
            return this.class.canonicalName
        }
    }
}

class FlickrPlaceType {
    Integer id
    String  title

    String toString() { return title ?: this.class.canonicalName }
}
