package org.glickr.api.auth

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.auth.checkToken
INFO: Returns the credentials attached to an authentication token. This call must be signed, and is deprecated in favour of OAuth.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
auth_token (Required): The authentication token to check.

EXAMPLE RESPONSE:
<auth>
  <token>976598454353455</token>
  <perms>read</perms>
  <user nsid="12037949754@N01" username="Bees" fullname="Cal H" />
</auth>
perms can have values of none, read, write or delete. For more information, see the Auth API spec.
---------------------------------------------------------------------------------------------------- */

class authCheckToken implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.auth.checkToken'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
