package org.glickr.api.auth
import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.auth.oauth.getAccessToken
INFO: Exchange an auth token from the old Authentication API, to an OAuth access token. Calling this method will delete the auth token used to make the request.

AUTHENTICATION: This method does not require user authentication, but the request must be signed.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<auth>
  <access_token oauth_token="72157607082540144-8d5d7ea7696629bf" oauth_token_secret="f38bf58b2d95bc8b" />
</auth>
---------------------------------------------------------------------------------------------------- */

class oauthGetAccessToken implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.auth.oauth.getAccessToken'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
