package org.glickr.api.contacts

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.contacts.getListRecentlyUploaded
INFO: Return a list of contacts for a user who have recently uploaded photos along with the total count of photos uploaded.
This method is still considered experimental. We don't plan for it to change or to go away but so long as this notice is present you should write your code accordingly.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
date_lastupload (Optional): Limits the resultset to contacts that have uploaded photos since this date. The date should be in the form of a Unix timestamp.
The default offset is (1) hour and the maximum (24) hours.
filter (Optional): Limit the result set to all contacts or only those who are friends or family. Valid options are:
-ff: friends and family
-all: all your contacts
Default value is "all".

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class contactsGetListRecentlyUploaded implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.contacts.getListRecentlyUploaded'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}