package org.glickr.api.contacts

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.contacts.getTaggingSuggestions
INFO: Get suggestions for tagging people in photos based on the calling user's contacts.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
per_page (Optional): Number of contacts to return per page. If this argument is omitted, all contacts will be returned.
page (Optional): The page of results to return. If this argument is omitted, it defaults to 1.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <contacts page="1" pages="1" perpage="1000" total="1">
    <contact nsid="30135021@N05" username="Hugo Haas" iconserver="1" iconfarm="1" realname="" friend="0" family="0" path_alias="" />
  </contacts>
</rsp>
---------------------------------------------------------------------------------------------------- */

class contactsGetTaggingSuggestions implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.contacts.getTaggingSuggestions'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}