package org.glickr.api.groups

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.leave
INFO: Leave a group.
If the user is the only administrator left, and there are other members, the oldest member will be promoted to administrator.
If the user is the last person in the group, the group will be deleted.

AUTHENTICATION: This method requires authentication with 'delete' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
group_id (Required): The NSID of the Group to leave
delete_photos (Optional): Delete all photos by this user from the group

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class groupsLeave implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.leave'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}