package org.glickr.api.groups.pools

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.groups.pools.getContext
INFO: Returns next and previous photos for a photo in a group pool.
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to fetch the context for.
group_id (Required): The nsid of the group who's pool to fetch the photo's context for.
EXAMPLE RESPONSE:
<prevphoto id="2980" secret="973da1e709" title="boo!" url="/photos/bees/2980/" />
<nextphoto id="2985" secret="059b664012" title="Amsterdam Amstel" url="/photos/bees/2985/" />
See flickr.photos.getContext
---------------------------------------------------------------------------------------------------- */

class poolsGetContext implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.groups.pools.getContext'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}