package org.glickr.api.photos.comments

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.comments.addComment
INFO: Add comment to a photo as the currently authenticated user.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to add a comment to.
comment_text (Required): Text of the comment
EXAMPLE RESPONSE:
<comment id="97777-72057594037941949-72057594037942602" />
---------------------------------------------------------------------------------------------------- */

class commentsAddComment implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.comments.addComment'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}