package org.glickr.api.photos.notes

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.notes.add
INFO: Add a note to a photo. Coordinates and sizes are in pixels, based on the 500px image size shown on individual photo pages.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to add a note to
note_x (Required): The left coordinate of the note
note_y (Required): The top coordinate of the note
note_w (Required): The width of the note
note_h (Required): The height of the note
note_text (Required): The description of the note
EXAMPLE RESPONSE:
<note id="1234" />
---------------------------------------------------------------------------------------------------- */

class notesAdd implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.notes.add'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}