package org.glickr.api.photos.notes

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.notes.edit
INFO: Edit a note on a photo. Coordinates and sizes are in pixels, based on the 500px image size shown on individual photo pages.

AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
note_id (Required): The id of the note to edit
note_x (Required): The left coordinate of the note
note_y (Required): The top coordinate of the note
note_w (Required): The width of the note
note_h (Required): The height of the note
note_text (Required): The description of the note
EXAMPLE RESPONSE:

This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class notesEdit implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.notes.edit'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}