package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.getAllContexts
INFO: Returns all visible sets and pools the photo belongs to.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The photo to return information for.

EXAMPLE RESPONSE:
<set id="392" title="记忆群组" />
<pool id="34427465471@N01" title="FlickrDiscuss" />
---------------------------------------------------------------------------------------------------- */

class photosGetAllContexts implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.getAllContexts'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
