package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.getContext
INFO: Returns next and previous photos for a photo in a photostream.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to fetch the context for.

EXAMPLE RESPONSE:
<prevphoto id="2980" secret="973da1e709" title="boo!" url="/photos/bees/2980/" />
<nextphoto id="2985" secret="059b664012" title="Amsterdam Amstel" url="/photos/bees/2985/" />
When either the previous of next photo is unavailable, the element is still returned, but contains id="0"
---------------------------------------------------------------------------------------------------- */

class photosGetContext implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.getContext'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
