package org.glickr.api.photos

import org.glickr.api.FlickrApiMethod
import org.glickr.FlickrPhoto
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photos.setContentType
INFO: Set the content type of a photo.

AUTHENTICATION: This method requires authentication with 'write' permission.
Note: This method requires an HTTP POST request.

ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to set the adultness of.
content_type (Required): The content type of the photo. Must be one of: 1 for Photo, 2 for Screenshot, and 3 for Other.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <photo id="14814" content_type="3" />
</rsp>
---------------------------------------------------------------------------------------------------- */

class photosSetContentType implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photos.setContentType'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}
