package org.glickr.api.photosets.comments

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.comments.addComment
INFO: Add a comment to a photoset.
AUTHENTICATION: This method requires authentication with 'write' permission.

Note: This method requires an HTTP POST request.
ARGUMENTS:
api_key (Required): Your API application key.
photoset_id (Required): The id of the photoset to add a comment to.
comment_text (Required): Text of the comment
EXAMPLE RESPONSE:
<comment id="97777-12492-72057594037942601" />
---------------------------------------------------------------------------------------------------- */

class commentsAddComment implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.comments.addComment'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}