package org.glickr.api.photosets.comments

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.comments.getList
INFO: Returns the comments for a photoset.
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
photoset_id (Required): The id of the photoset to fetch comments for.
EXAMPLE RESPONSE:
<comments photoset_id="109722179">
  <comment id="6065-109722179-72057594077818641" author="35468159852@N01" authorname="Rev Dan Catt" date_create="2006-03-08T10:11:10-08:00" permalink="http://www.flickr.com/photos/straup/109722179/#comment72057594077818641">Umm, I'm not sure, can I get back to you on that one?</comment>
</comments>
---------------------------------------------------------------------------------------------------- */

class commentsGetList implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.comments.getList'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}