package org.glickr.api.photosets

import groovy.util.slurpersupport.GPathResult
import org.glickr.api.FlickrApiMethod

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.photosets.getContext
INFO: Returns next and previous photos for a photo in a set.
AUTHENTICATION: This method does not require authentication.
ARGUMENTS:
api_key (Required): Your API application key.
photo_id (Required): The id of the photo to fetch the context for.
photoset_id (Required): The id of the photoset for which to fetch the photo's context.
EXAMPLE RESPONSE:
<prevphoto id="2980" secret="973da1e709" title="boo!" url="/photos/bees/2980/" />
<nextphoto id="2985" secret="059b664012" title="Amsterdam Amstel" url="/photos/bees/2985/" />
See flickr.photos.getContext
---------------------------------------------------------------------------------------------------- */

class photosetsGetContext implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.photosets.getContext'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}