package org.glickr.api.push

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.push.getSubscriptions
INFO: Returns a list of the subscriptions for the logged-in user.
(this method is experimental and may change)

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <subscriptions>
    <subscription topic="contacts_photos" callback="http://example.com/contacts_photos_endpoint?user=12345" pending="0" date_create="2011-06-28T13:42:35-07:00" lease_seconds="0" expiry="1309380155" verify_attempts="0" />
    <subscription topic="contacts_faves" callback="http://example.com/contacts_faves_endpoint?user=12345" pending="0" date_create="2011-06-28T13:43:05-07:00" lease_seconds="0" expiry="1309380185" verify_attempts="0" />
  </subscriptions>
</rsp>
---------------------------------------------------------------------------------------------------- */

class pushGetSubscriptions implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.push.getSubscriptions'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}