package org.glickr.api.push

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.push.unsubscribe
INFO: Why would you want to do this?
(this method is experimental and may change)

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.
topic (Required): The type of subscription. See flickr.push.getTopics.
callback (Required): The url for the subscription endpoint (must be the same url as was used when creating the subscription).
verify (Required): The verification mode, either 'sync' or 'async'. See the Google PubSubHubbub spec for details.
verify_token (Optional): The verification token to be echoed back to the subscriber during the verification callback, as per the Google PubSubHubbub spec. Limited to 200 bytes.

EXAMPLE RESPONSE:
This method has no specific response - It returns an empty success response if it completes without error.
---------------------------------------------------------------------------------------------------- */

class pushUnsubscribe implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.push.unsubscribe'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}