package org.glickr.api.reflection

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.reflection.getMethods
INFO: Returns a list of available flickr API methods.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<methods>
  <method>flickr.blogs.getList</method>
  <method>flickr.blogs.postPhoto</method>
  <method>flickr.contacts.getList</method>
  <method>flickr.contacts.getPublicList</method>
</methods>
---------------------------------------------------------------------------------------------------- */

class reflectionGetMethods implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.reflection.getMethods'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}