package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getListUser
INFO: Get the tag list for a given user (or the currently logged in user).

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
user_id (Optional): The NSID of the user to fetch the tag list for. If this argument is not specified, the currently logged in user (if any) is assumed.

EXAMPLE RESPONSE:
<who id="12037949754@N01">
  <tags>
    <tag>gull</tag>
    <tag>tag1</tag>
    <tag>tag2</tag>
    <tag>tags</tag>
    <tag>test</tag>
  </tags>
</who>
---------------------------------------------------------------------------------------------------- */

class tagsGetListUser implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getListUser'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}