package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getListUserRaw
INFO: Get the raw versions of a given tag (or all tags) for the currently logged-in user.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
tag (Optional): The tag you want to retrieve all raw versions for.

EXAMPLE RESPONSE:
<who id="12037949754@N01">
  <tags>
    <tag clean="foo">
<raw>foo</raw>
<raw>Foo</raw>
<raw>f:oo</raw>
    </tag>
  </tags>
</who>
---------------------------------------------------------------------------------------------------- */

class tagsGetListUserRaw implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getListUserRaw'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}