package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getMostFrequentlyUsed
INFO: Returns a list of most frequently used tags for a user.

AUTHENTICATION: This method requires authentication with 'read' permission.

ARGUMENTS:
api_key (Required): Your API application key.

EXAMPLE RESPONSE:
<rsp stat="ok">
  <who id="30135021@N05">
    <tags>
<tag count="1">blah</tag>
<tag count="5">publicdomain</tag>
    </tags>
  </who>
</rsp>
---------------------------------------------------------------------------------------------------- */

class tagsGetMostFrequentlyUsed implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getMostFrequentlyUsed'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}