package org.glickr.api.tags

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.tags.getRelated
INFO: Returns a list of tags 'related' to the given tag, based on clustered usage analysis.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
tag (Required): The tag to fetch related tags for.

EXAMPLE RESPONSE:
<tags source="london">
  <tag>england</tag>
  <tag>thames</tag>
  <tag>tube</tag>
  <tag>bigben</tag>
  <tag>uk</tag>
</tags>
---------------------------------------------------------------------------------------------------- */

class tagsGetRelated implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.tags.getRelated'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}