package org.glickr.api.urls

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.urls.getUserPhotos
INFO: Returns the url to a user's photos.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
user_id (Optional): The NSID of the user to fetch the url for. If omitted, the calling user is assumed.

EXAMPLE RESPONSE:
<user nsid="12037949754@N01" url="http://www.flickr.com/photos/bees/" />
---------------------------------------------------------------------------------------------------- */

class urlsGetUserPhotos implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.urls.getUserPhotos'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}