package org.glickr.api.urls

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.urls.lookupGallery
INFO: Returns gallery info, by url.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
url (Required): The gallery's URL.

EXAMPLE RESPONSE:
<gallery id="6065-72157617483228192" url="/photos/straup/galleries/72157617483228192" owner="35034348999@N01" primary_photo_id="292882708" date_create="2009-04-29T11:12:52-07:00" date_update="2010-04-01T01:47:47-07:00" count_photos="17" count_videos="0" server="112" farm="1" secret="7f29861bc4">
  <title>Cat Pictures I've Sent To Kevin Collins</title>
  <description />
</gallery>  This is the same format returned by flickr.galleries.getInfo.
---------------------------------------------------------------------------------------------------- */

class urlsLookupGallery implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.urls.lookupGallery'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}