package org.glickr.api.urls

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.urls.lookupGroup
INFO: Returns a group NSID, given the url to a group's page or photo pool.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
url (Required): The url to the group's page or photo pool.

EXAMPLE RESPONSE:
<group id="34427469792@N01">
  <groupname>FlickrCentral</groupname>
</group>
---------------------------------------------------------------------------------------------------- */

class urlsLookupGroup implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.urls.lookupGroup'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}