package org.glickr.api.urls

import org.glickr.api.FlickrApiMethod
import groovy.util.slurpersupport.GPathResult

/* ----------------------------------------------------------------------------------------------------
REQUEST: flickr.urls.lookupUser
INFO: Returns a user NSID, given the url to a user's photos or profile.

AUTHENTICATION: This method does not require authentication.

ARGUMENTS:
api_key (Required): Your API application key.
url (Required): The url to the user's profile or photos page.

EXAMPLE RESPONSE:
<user id="12037949632@N01">
  <username>Stewart</username>
</user>
---------------------------------------------------------------------------------------------------- */

class urlsLookupUser implements FlickrApiMethod {
    //
    //  API METHOD
    //
    static final String apiMethod = 'flickr.urls.lookupUser'

    //
    //  VALIDATOR
    //

    //
    //  PARAMS
    //

    //
    //  PROCESSOR
    //

    //
    //  ERROR CODES
    //
}